SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001386SiT!billingpublic2010-08-22 12:332013-07-06 16:45
ReporterTomse 
Assigned To 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent SVN 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001386: Activities within the same time frame adds up in total.
Descriptionif you have a 2 hour billing, and you start an activity the customer will be billed for the 2 hours, but if you close the activity after 15 minutes (0:15), start one after 1 hour of the initial start (1:00) and close it again after 15 minutes (1:15).

this shows a total of 4 hours.

when the incident is closed 1 unit is billed though.


TagsNo tags attached.
Attached Filespng file icon sit-billable.png [^] (47,260 bytes) 2010-12-04 17:17

- Relationships

-  Notes
User avatar (0003446)
paulh (administrator)
2010-10-16 12:57

Hi Tomse,

where is this showing as 4 hours?
User avatar (0003447)
Tomse (developer)
2010-10-16 21:34

I believe it's in billable_incidents.php

(Run a summary report to screen)

My database is pretty blank right now, so I don't have those test data anymore, but I might redo them tomorrow
User avatar (0003495)
Tomse (developer)
2010-12-04 17:21

added an example.

repro:
the SLA used for this example is the default time values when creating a new SLA.

add activity, add a note, close activity
do that a couple of times

you can view the time by opening the incident (incident details) and clicking on activities.
User avatar (0003590)
paulh (administrator)
2011-02-12 18:34

can repro
User avatar (0004822)
paulh (administrator)
2013-05-05 14:24

Latest got resolves this by showing the minutes rather than billing periods

- Issue History
Date Modified Username Field Change
2010-08-22 12:33 Tomse New Issue
2010-08-22 12:39 Tomse Priority normal => low
2010-08-22 12:39 Tomse Severity minor => trivial
2010-08-22 12:39 Tomse Summary Activities within the same time frame adds up. => Activities within the same time frame adds up in total.
2010-08-22 12:39 Tomse Description Updated View Revisions
2010-10-16 12:57 paulh Note Added: 0003446
2010-10-16 12:57 paulh Assigned To => Tomse
2010-10-16 12:57 paulh Status new => feedback
2010-10-16 21:34 Tomse Note Added: 0003447
2010-10-16 21:34 Tomse Status feedback => assigned
2010-10-16 21:34 Tomse Assigned To Tomse => paulh
2010-10-17 12:20 paulh Assigned To paulh =>
2010-10-17 12:20 paulh Status assigned => new
2010-12-04 17:17 Tomse File Added: sit-billable.png
2010-12-04 17:21 Tomse Note Added: 0003495
2011-02-12 18:34 paulh Note Added: 0003590
2011-02-12 18:34 paulh Status new => confirmed
2013-05-05 14:24 paulh Note Added: 0004822
2013-05-05 14:24 paulh Status confirmed => resolved
2013-05-05 14:24 paulh Resolution open => fixed
2013-05-05 14:24 paulh Fixed in Version => Current GIT
2013-07-06 16:45 ivan Target Version => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker